Bug 257860 - net-mgmt/py-pysnmp and others: snmplabs.com domain name no longer under upstream control
Summary: net-mgmt/py-pysnmp and others: snmplabs.com domain name no longer under upstr...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Kevin Bowling
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2021-08-15 13:18 UTC by John W. O'Brien
Modified: 2021-09-11 01:25 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (mhjacks)
kbowling: merge-quarterly+


Attachments
devel/py-pyasn1: Update WWW to GH project page (675 bytes, patch)
2021-08-15 13:19 UTC, John W. O'Brien
no flags Details | Diff
net-mgmt/py-pysmi: Update WWW to GH project page (671 bytes, patch)
2021-08-15 13:20 UTC, John W. O'Brien
john: maintainer-approval+
Details | Diff
net-mgmt/py-pysnmp: Update WWW to GH project page (732 bytes, patch)
2021-08-15 13:21 UTC, John W. O'Brien
no flags Details | Diff
net-mgmt/py-pysnmp-mibs: Update WWW to GH project page (890 bytes, patch)
2021-08-15 13:22 UTC, John W. O'Brien
no flags Details | Diff
net-mgmt/py-snmpclitools: Update WWW to GH project page (892 bytes, patch)
2021-08-15 13:22 UTC, John W. O'Brien
no flags Details | Diff
Update WWW from snmplabs.com to respective GH project pages (3.77 KB, patch)
2021-08-16 00:11 UTC, John W. O'Brien
john: maintainer-approval+
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John W. O'Brien 2021-08-15 13:18:50 UTC
Summary

Ilya Etingof, author of the PySNMP suite of projects, has shown no evidence of activity since 2020-04-21 [0] [1]. The primary website for the projects, snmplabs.com, has been degraded or inaccessible beginning in 2020-07 [1]. The domain name registration expired on 2020-12-03, and as of 2021-02-07 is registered [3] to an entity with no apparently relationship to the PySNMP projects.

[0] https://github.com/etingof?tab=overview&from=2020-12-01&to=2020-12-31
[1] https://stackexchange.com/users/1205218/ilya-etingof?tab=activity
[2] https://github.com/etingof/snmplabs.com/issues
[3] https://whois.domaintools.com/snmplabs.com


Affected ports

devel/py-pyasn1
net-mgmt/py-pysnmp
net-mgmt/py-pysnmp-mibs
net-mgmt/py-snmpclitools
net-mgmt/py-pysmi
Comment 1 John W. O'Brien 2021-08-15 13:19:36 UTC
Created attachment 227217 [details]
devel/py-pyasn1: Update WWW to GH project page
Comment 2 John W. O'Brien 2021-08-15 13:20:44 UTC
Created attachment 227218 [details]
net-mgmt/py-pysmi: Update WWW to GH project page
Comment 3 John W. O'Brien 2021-08-15 13:21:31 UTC
Created attachment 227219 [details]
net-mgmt/py-pysnmp: Update WWW to GH project page
Comment 4 John W. O'Brien 2021-08-15 13:22:04 UTC
Created attachment 227220 [details]
net-mgmt/py-pysnmp-mibs: Update WWW to GH project page
Comment 5 John W. O'Brien 2021-08-15 13:22:44 UTC
Created attachment 227221 [details]
net-mgmt/py-snmpclitools: Update WWW to GH project page
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2021-08-15 23:40:35 UTC
@John Thanks for these patches. Could you combine them into a single change/attachment? They're all logically related
Comment 7 John W. O'Brien 2021-08-16 00:11:26 UTC
Created attachment 227237 [details]
Update WWW from snmplabs.com to respective GH project pages
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2021-08-16 00:34:18 UTC
Comment on attachment 227237 [details]
Update WWW from snmplabs.com to respective GH project pages

Approved by: portmgr (blanket: metadata fix)
MFH: 2020Q3 (blanket: metadata fix)